Update Brand Board
Updates an existing brand board. You can modify the name, colors, fonts, and logos.
PUT
/
brand-boards
/
{brandBoardId}
Update Brand Board
curl --request PUT \
--url https://services.leadconnectorhq.com/brand-boards/{brandBoardId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Updated Brand Identity",
"locationId": "ve9EPM428h8vShlRW1KT",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
]
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Brand Identity',
locationId: 've9EPM428h8vShlRW1KT',
colors: [{name: 'Primary Blue', hex: '#1A73E8'}],
fonts: [{name: 'Inter', url: 'https://fonts.googleapis.com/css2?family=Inter'}],
logos: [
{
name: 'Primary Logo',
url: 'https://storage.example.com/logos/primary-logo.png'
}
]
})
};
fetch('https://services.leadconnectorhq.com/brand-boards/{brandBoardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/brand-boards/{brandBoardId}"
payload = {
"name": "Updated Brand Identity",
"locationId": "ve9EPM428h8vShlRW1KT",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
]
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"brandBoard": {
"id": "bb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Main Brand Identity",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
Headers
API Version
Available options:
2021-07-28 Path Parameters
The unique identifier for the brand board
Example:
"bb_abc123def456"
Body
application/json
Updated name of the brand board
Example:
"Updated Brand Identity"
Location ID
Example:
"ve9EPM428h8vShlRW1KT"
Updated array of brand colors
Show child attributes
Show child attributes
Updated array of brand fonts
Show child attributes
Show child attributes
Updated array of brand logos
Show child attributes
Show child attributes
Response
Brand board updated successfully
Show child attributes
Show child attributes
Last modified on March 7, 2026
Was this page helpful?
⌘I
Update Brand Board
curl --request PUT \
--url https://services.leadconnectorhq.com/brand-boards/{brandBoardId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"name": "Updated Brand Identity",
"locationId": "ve9EPM428h8vShlRW1KT",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
]
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Brand Identity',
locationId: 've9EPM428h8vShlRW1KT',
colors: [{name: 'Primary Blue', hex: '#1A73E8'}],
fonts: [{name: 'Inter', url: 'https://fonts.googleapis.com/css2?family=Inter'}],
logos: [
{
name: 'Primary Logo',
url: 'https://storage.example.com/logos/primary-logo.png'
}
]
})
};
fetch('https://services.leadconnectorhq.com/brand-boards/{brandBoardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/brand-boards/{brandBoardId}"
payload = {
"name": "Updated Brand Identity",
"locationId": "ve9EPM428h8vShlRW1KT",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
]
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"brandBoard": {
"id": "bb_abc123def456",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Main Brand Identity",
"colors": [
{
"name": "Primary Blue",
"hex": "#1A73E8"
}
],
"fonts": [
{
"name": "Inter",
"url": "https://fonts.googleapis.com/css2?family=Inter"
}
],
"logos": [
{
"name": "Primary Logo",
"url": "https://storage.example.com/logos/primary-logo.png"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 404,
"message": "Not found",
"error": "Not Found"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}